package main

import (
	"github.com/gin-gonic/gin"
	"github.com/mephi-ut/gin-cas/cas"
	"net/url"
)

func checkError(err error) {
	if err == nil {
		return
	}
	panic(err)
}

func userInfo(c *gin.Context) {
	attributes, _ := c.Get("CASAttributes")
	c.JSON(200, gin.H{
		"CASUsername": c.GetString("CASUsername"),
		"CASAttributes": attributes,
	})
}

func main() {
	casUrl, err := url.Parse("https://login.mephi.ru")
	checkError(err)

	r := gin.New()
	r.Use(gin.Logger())
	r.Use(cas.MiddlewareFunc(&cas.Options{
		URL: casUrl,
	}))
	r.GET("/", userInfo)
	r.Run(":8080")
}
